Subject: Applying changes across divergent branches

From: Tom Schutzer-Weissmann <[email-masked]>
Date: Wed, 24 Sep 2008 15:40:14 +0100

Hello all,

I am looking into how to apply git to some current working methods.

We tend to have two or three main branches: the development branch, and 
one or two product branches. The development branch is the cutting edge, 
and each product branches off from it.

While the product branch shares history with the development branch, not 
all changes to the development branch will get applied to the product 
branch. We tend to maintain two versions of a product at any time, 
meaning two divergent product branches.

Could we use git, or a tool based on git, to change on the development 
branch and selectively apply changes to the other branches - is it as 
simple as using git cherry-pick?

Thanks in advance,
Tom SW